Admin/Get Surveys
GET /v1/admin/surveys

Get Surveys

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl https://api.{cluster}.{platform}.voiger.io/v1/admin/surveys?_limit=&_skip= \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code"

Parameters

x-workspace-code string required in header
_limit number optional in query
_skip number optional in query
_search string optional in query
_sort string optional in query
status string optional in query

Response

surveys▾
array
id
string
name
string
status
string
config▾
object
repeat_key
string
termination_key
string
timeout
integer
max_attempts
integer
messages▾
object
invalid▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
repeat▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
thank_you▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
timeout▾
object
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
outbound_enabled
boolean
questions▾
array
id
string
sequence
integer
title
string
type
string
mode
string
tts▾
object
text
string
language
string
audio▾
object
id
string Audio attachment UUID. Use the dedicated stream route to fetch the audio bytes.
scale_min
null | integer
scale_max
null | integer
classification▾
null | array
label
string
from
integer
to
integer
sentiment
string
opt_for_agent_performance
boolean Only ever true for `type = "csat"` questions; always false for other types.
created_at
string
updated_at
string